c  File : radici2.f
      program radici
c  Calcola le soluzioni di una equazione di secondo grado

      implicit none

      real  a,b,c
      real  delta
      real  x1,x2
c  Lettura dei coefficienti dell'equazione
      write(6,*) 'Inserisci i tre coefficienti della equazione di',
     *           'secondo grado'
      read(5,*)  a,b,c
      write(6,*) 'I coefficienti immessi sono:'
      write(6,*) a,b,c
c  Calcolo del Delta
      delta = b**2 - 4.0*a*c
c  Scegli il caso delta positivo, nullo o negativo
      if (delta .lt. 0.0) then
         write(6,*) 'Non esistono soluzioni reali'
      elseif (delta .eq. 0.0) then
         x1 = -b/(2.0*a)
         write(6,*) 'Soluzioni reali e coincidenti, x1=x2=',x1
      else
         x1 = ( -b + sqrt(delta) ) / (2.0*a)
         x2 = ( -b - sqrt(delta) ) / (2.0*a)
         write(6,*) 'Formula classica'
         write(6,*) 'x1 = ',x1
         write(6,*) 'x2 = ',x2
c  Calcoliamo x2 con una formula piu accurata come x2 = c/(x1*a)
         x2 = c/(x1*a)
         write(6,*) 'Formula accurata'
         write(6,*) 'x1 = ',x1
         write(6,*) 'x2 = ',x2
      endif
      stop
      end


